Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.expr
Class FTContains

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.expr.Arr
                  org.basex.query.xquery.expr.FTContains

    public final class FTContains

extends Arr

FTContains expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary

Fields inherited from class org.basex.query.xquery.expr.Arr
`expr`

Constructor Summary
`FTContains(Expr... ex)` Constructor.

Method Summary
`Iter` | `iter(XQContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`Type` | `returned()` Indicates if an expression returns the specified type.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.expr.Arr
`comp, plan, uses`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e, i`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTContains

    public FTContains(Expr... ex)

  Constructor.

  Parameters:
    `ex` - contains, select and optional ignore expression

Method Detail

### iter

    public Iter iter(XQContext ctx)
              throws XQException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items.

  Specified by:
    `iter` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `XQException` - evaluation exception

### returned

    public Type returned()

  Description copied from class: `Expr`
  Indicates if an expression returns the specified type. Called by the compiler to check if expressions can be reformulated. null is returned by default.

  Overrides:
    `returned` in class `Arr`
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD